Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint.plugin
Class SqlPlugin

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.FingerprintPlugin
          oracle.ifs.admin.tools.fingerprint.plugin.SqlPlugin

Direct Known Subclasses:
  FunctionsPlugin, JavaClassesPlugin, PackagesPlugin, ProceduresPlugin, QueryPlugin, SequencesPlugin, SqlObjectCountPlugin, TablesAndIndexesPlugin, TypesPlugin, ViewsPlugin

    public abstract class SqlPlugin

extends FingerprintPlugin

Base class for all SQL fingerprinting plugins.

Constructor Summary
`SqlPlugin()`

Method Summary
`protected static void` | `disableSegmentAttributes(java.sql.Connection conn)` Disable outputting the segment attributes in the DDL.
`protected static void` | `endCDATA(org.xml.sax.ContentHandler out)` End a CDATA section in the XML stream.
`protected static java.sql.CallableStatement` | `getCallableStatement(java.sql.Connection conn, java.lang.String sql)` Gets a CallableStatement for the specified SQL.
`protected static java.sql.PreparedStatement` | `getPreparedStatement(java.sql.Connection conn, java.lang.String sql)` Gets a PreparedStatement for the specified SQL.
`protected static java.lang.String` | `getSchemaName(java.sql.Connection conn)` Returns the schema name for the given connection.
`protected static void` | `newLine(org.xml.sax.ContentHandler out)`
`protected static java.lang.String` | `normalizeSpace(java.lang.String str)` Replaces all sequences of whitespace with a single space.
`protected static java.lang.String` | `replace(java.lang.String str, java.lang.String pattern, java.lang.String repl)` Replaces a regex pattern in a given string.
`protected static java.lang.String` | `replaceInDDL(java.lang.String str, java.lang.String schema)` Replaces non-fixed strings in a DDL statement.
`protected static java.lang.String` | `replaceQuotedSchemaName(java.lang.String str, java.lang.String schema)` Replaces quoted schema name in the given string with a fixed string.
`protected static java.lang.String` | `replaceSchemaNameInDDL(java.lang.String str, java.lang.String schema)` Replaces the schema name in the given string with a fixed string.
`protected static java.lang.String` | `replaceTableOrViewName(java.lang.String name)` Replaces non-fixed strings in a table or view name.
`protected static void` | `resetSegmentAttributes(java.sql.Connection conn)` Resets the changes made by calling `SqlPlugin.disableSegmentAttributes(java.sql.Connection)`
`protected static void` | `startCDATA(org.xml.sax.ContentHandler out)` Start a CDATA section in the XML stream.

Methods inherited from class oracle.ifs.admin.tools.fingerprint.FingerprintPlugin
`execute, getConfiguration, getConfiguration, getName, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlPlugin

    public SqlPlugin()

Method Detail

### getSchemaName

    protected static java.lang.String getSchemaName(java.sql.Connection conn)
                                             throws java.sql.SQLException

  Description copied from class: `SqlPlugin`
  Returns the schema name for the given connection.

  Parameters:
    `conn` - the JDBC connection
  Returns:
    the schema name
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### disableSegmentAttributes

    protected static void disableSegmentAttributes(java.sql.Connection conn)
                                            throws IfsException,
                                                   java.sql.SQLException

  Description copied from class: `SqlPlugin`
  Disable outputting the segment attributes in the DDL.

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### resetSegmentAttributes

    protected static void resetSegmentAttributes(java.sql.Connection conn)
                                          throws IfsException,
                                                 java.sql.SQLException

  Description copied from class: `SqlPlugin`
  Resets the changes made by calling `SqlPlugin.disableSegmentAttributes(java.sql.Connection)`

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### replaceQuotedSchemaName

    protected static java.lang.String replaceQuotedSchemaName(java.lang.String str,
                                                              java.lang.String schema)

  Description copied from class: `SqlPlugin`
  Replaces quoted schema name in the given string with a fixed string.

  Parameters:
    `str` - the string to replace the pattern in
    `schema` - the schema name
  Returns:
    the modified string
  (Unpublished)

### replaceSchemaNameInDDL

    protected static java.lang.String replaceSchemaNameInDDL(java.lang.String str,
                                                             java.lang.String schema)

  Description copied from class: `SqlPlugin`
  Replaces the schema name in the given string with a fixed string.

  Parameters:
    `str` - the string to replace the pattern in
    `schema` - the schema name
  Returns:
    the modified string
  (Unpublished)

### replaceTableOrViewName

    protected static java.lang.String replaceTableOrViewName(java.lang.String name)

  Description copied from class: `SqlPlugin`
  Replaces non-fixed strings in a table or view name.

  Parameters:
    `name` - the table of view name
  Returns:
    the modified string
  (Unpublished)

### replaceInDDL

    protected static java.lang.String replaceInDDL(java.lang.String str,
                                                   java.lang.String schema)

  Description copied from class: `SqlPlugin`
  Replaces non-fixed strings in a DDL statement.

  Parameters:
    `str` - the DDL
    `schema` - the schema name
  Returns:
    the modified string
  (Unpublished)

### normalizeSpace

    protected static java.lang.String normalizeSpace(java.lang.String str)

  Description copied from class: `SqlPlugin`
  Replaces all sequences of whitespace with a single space.

  Parameters:
    `str` - the string to replace whitespace in
  Returns:
    the modified string
  (Unpublished)

### replace

    protected static java.lang.String replace(java.lang.String str,
                                              java.lang.String pattern,
                                              java.lang.String repl)

  Description copied from class: `SqlPlugin`
  Replaces a regex pattern in a given string.

  Parameters:
    `str` - the string to replace the pattern in
    `pattern` - the regex pattern
    `repl` - the replacement string
  Returns:
    the modified string
  (Unpublished)

### startCDATA

    protected static void startCDATA(org.xml.sax.ContentHandler out)
                              throws org.xml.sax.SAXException

  Description copied from class: `SqlPlugin`
  Start a CDATA section in the XML stream.

  Parameters:
    `out` - the output stream
  Throws:
    `org.xml.sax.SAXException` - if the operation fails
  (Unpublished)

### endCDATA

    protected static void endCDATA(org.xml.sax.ContentHandler out)
                            throws org.xml.sax.SAXException

  Description copied from class: `SqlPlugin`
  End a CDATA section in the XML stream.

  Parameters:
    `out` - the output stream
  Throws:
    `org.xml.sax.SAXException` - if the operation fails
  (Unpublished)

### newLine

    protected static void newLine(org.xml.sax.ContentHandler out)
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPreparedStatement

    protected static java.sql.PreparedStatement getPreparedStatement(java.sql.Connection conn,
                                                                     java.lang.String sql)
                                                              throws IfsException

  Description copied from class: `SqlPlugin`
  Gets a PreparedStatement for the specified SQL.

  If a PreparedStatement was previously created for the SQL, it is returned. Otherwise a new PreparedStatement is created and returned.

  The caller should not close the returned PreparedStatement.

  Parameters:
    `conn` - the JDBC connection
    `sql` - the SQL
  Returns:
    a PreparedStatement for the SQL
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCallableStatement

    protected static java.sql.CallableStatement getCallableStatement(java.sql.Connection conn,
                                                                     java.lang.String sql)
                                                              throws IfsException

  Description copied from class: `SqlPlugin`
  Gets a CallableStatement for the specified SQL.

  If a CallableStatement was previously created for the SQL, it is returned. Otherwise a new CallableStatement is created and returned.

  The caller should not close the returned CallableStatement.

  Parameters:
    `conn` - the JDBC connection
    `sql` - the SQL
  Returns:
    a CallableStatement for the SQL
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD